
Redmine - Defect #5479

Can't login to redmine (Windows server 2003, correct username and password)

2010-05-09 08:34 - xiaoyu yin

Status: Closed Start date: 2010-05-09

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

apache port is 8080.

http://127.0.0.1:8080 can see the login interface.

but after put in username and password when I point the login , it shows as below:

ActiveRecord::StatementInvalid in AccountController#login

Mysql::Error: Unknown column 'position' in 'order clause': SELECT * FROM `custom_fields` WHERE (type = 'UserCustomField') 

ORDER BY position

RAILS_ROOT: E:/SCM/BitNami Redmine Stack/apps/redmine

Application Trace | Framework Trace | Full Trace

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:219:in `log'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:323:in `execute'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:608:in `select'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:7:in

`select_all_without_query_cache'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:60:in `select_all'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:81:in `cache_sql'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:60:in `select_all'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:661:in `find_by_sql'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:1548:in `find_every'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:615:in `find'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:49:in

`available_custom_fields'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:62:in

`custom_field_values'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:75:in

`save_custom_field_values'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `evaluate_method'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:93:in `run'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `each'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `run'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in `run_callbacks'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:344:in `callback'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:251:in `create_or_update'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2538:in `save_without_validation'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/validations.rb:1078:in `save_without_dirty'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/dirty.rb:79:in `save_without_transactions'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in

`with_transaction_returning_status'
E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in

`transaction'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in `transaction'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:228:in

`with_transaction_returning_status'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:208:in

`rollback_active_record_state!'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2622:in `update_attribute'

E:/SCM/BitNami Redmine Stack/apps/redmine/app/models/user.rb:123:in `try_to_login'

E:/SCM/BitNami Redmine Stack/apps/redmine/app/controllers/account_controller.rb:144:in `password_authentication'

E:/SCM/BitNami Redmine Stack/apps/redmine/app/controllers/account_controller.rb:34:in `login'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:219:in `log'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:323:in `execute'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:608:in `select'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:7:in

`select_all_without_query_cache'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:60:in `select_all'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:81:in `cache_sql'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:60:in `select_all'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:661:in `find_by_sql'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:1548:in `find_every'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:615:in `find'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:49:in

`available_custom_fields'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:62:in

`custom_field_values'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:75:in

`save_custom_field_values'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `evaluate_method'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:93:in `run'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `each'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `run'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in `run_callbacks'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:344:in `callback'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:251:in `create_or_update'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2538:in `save_without_validation'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/validations.rb:1078:in `save_without_dirty'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/dirty.rb:79:in `save_without_transactions'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in

`with_transaction_returning_status'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in

`transaction'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in `transaction'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:228:in

`with_transaction_returning_status'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:208:in

`rollback_active_record_state!'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2622:in `update_attribute'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in
`perform_action_without_filters'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in

`perform_action_without_benchmark'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in

`perform_action_without_flash'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `process_without_filters'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in `dispatch_cgi'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in `dispatch_cgi'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:76:in `process'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in `synchronize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in `process'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:159:in `process_client'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in `each'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in `process_client'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `initialize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `new'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `initialize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `new'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:282:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in `each'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/command.rb:212:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

E:/SCM/BitNami Redmine Stack/ruby/bin/mongrel_rails:19:in `load'

E:/SCM/BitNami Redmine Stack/ruby/bin/mongrel_rails:19

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract_adapter.rb:219:in `log'
E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:323:in `execute'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:608:in `select'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:7:in

`select_all_without_query_cache'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:60:in `select_all'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:81:in `cache_sql'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:60:in `select_all'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:661:in `find_by_sql'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:1548:in `find_every'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:615:in `find'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:49:in

`available_custom_fields'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:62:in

`custom_field_values'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/plugins/acts_as_customizable/lib/acts_as_customizable.rb:75:in

`save_custom_field_values'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:178:in `evaluate_method'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:166:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:93:in `run'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `each'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:92:in `run'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/callbacks.rb:276:in `run_callbacks'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:344:in `callback'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/callbacks.rb:251:in `create_or_update'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2538:in `save_without_validation'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/validations.rb:1078:in `save_without_dirty'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/dirty.rb:79:in `save_without_transactions'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:229:in

`with_transaction_returning_status'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/database_statements.rb:136:in

`transaction'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:182:in `transaction'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:228:in

`with_transaction_returning_status'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:208:in

`rollback_active_record_state!'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/transactions.rb:196:in `save'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/base.rb:2622:in `update_attribute'

E:/SCM/BitNami Redmine Stack/apps/redmine/app/models/user.rb:123:in `try_to_login'

E:/SCM/BitNami Redmine Stack/apps/redmine/app/controllers/account_controller.rb:144:in `password_authentication'

E:/SCM/BitNami Redmine Stack/apps/redmine/app/controllers/account_controller.rb:34:in `login'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:1331:in

`perform_action_without_filters'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in

`perform_action_without_benchmark'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:308:in `realtime'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in

`perform_action_without_rescue'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in

`perform_action_without_flash'

2024-05-21 4/6



E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `process_without_filters'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

E:/SCM/BitNami Redmine

Stack/apps/redmine/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/cgi_process.rb:44:in `dispatch_cgi'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:101:in `dispatch_cgi'

E:/SCM/BitNami Redmine Stack/apps/redmine/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:27:in `dispatch'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:76:in `process'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in `synchronize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/rails.rb:74:in `process'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:159:in `process_client'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in `each'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:158:in `process_client'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `initialize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `new'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:285:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `initialize'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `new'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel.rb:268:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:282:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in `each'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/configurator.rb:281:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:128:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/lib/mongrel/command.rb:212:in `run'

E:/SCM/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mingw32/bin/mongrel_rails:281

E:/SCM/BitNami Redmine Stack/ruby/bin/mongrel_rails:19:in `load'

E:/SCM/BitNami Redmine Stack/ruby/bin/mongrel_rails:19

Request

Parameters:

{"back_url"=>"http%3A%2F%2Flocalhost%3A8080%2Fredmine%2F",

"authenticity_token"=>"fKIPzWv8ejlYmBZ69mJ3+6Uvbv51riiDJPHrKfAIUW0=",

"username"=>"root",

"password"=>"admin",

"login"=>"登录 \302\273"}

Show session dump

Response

Headers:
{"Content-Type"=>"",

"Cache-Control"=>"no-cache"}

History

#1 - 2010-05-09 08:35 - xiaoyu yin

bitnami redmine stack for redmine 0.9.4

#2 - 2010-05-09 10:32 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

This bugtracker is only for bug reports and feature requests, please use the "help forum":projects/redmine/boards/2 for support. The short answer

however is that not all migrations have been applied correctly.
